<div class="fixed w-10 h-10 bg-blue-200 dark:bg-white bottom-5 right-5 flex items-center justify-center returnBottoncino z-10"
    [ngClass]="firebaseService.update ? 'cursor-pointer':''"
    (click)="firebaseService.update ? firebaseService.getAllEvents() : ''">
    <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px" fill="#000000">
        <path xmlns="http://www.w3.org/2000/svg"
            d="M12 20Q8.65 20 6.325 17.675Q4 15.35 4 12Q4 8.65 6.325 6.325Q8.65 4 12 4Q13.725 4 15.3 4.713Q16.875 5.425 18 6.75V4H20V11H13V9H17.2Q16.4 7.6 15.013 6.8Q13.625 6 12 6Q9.5 6 7.75 7.75Q6 9.5 6 12Q6 14.5 7.75 16.25Q9.5 18 12 18Q13.925 18 15.475 16.9Q17.025 15.8 17.65 14H19.75Q19.05 16.65 16.9 18.325Q14.75 20 12 20Z"
            *ngIf="firebaseService.update" />
        <path xmlns="http://www.w3.org/2000/svg"
            d="M12 1Q14.075 1 15.538 2.462Q17 3.925 17 6V8H18Q18.825 8 19.413 8.587Q20 9.175 20 10V20Q20 20.825 19.413 21.413Q18.825 22 18 22H6Q5.175 22 4.588 21.413Q4 20.825 4 20V10Q4 9.175 4.588 8.587Q5.175 8 6 8H7V6Q7 3.925 8.463 2.462Q9.925 1 12 1ZM12 3Q10.75 3 9.875 3.875Q9 4.75 9 6V8H15V6Q15 4.75 14.125 3.875Q13.25 3 12 3ZM6 20H18Q18 20 18 20Q18 20 18 20V10Q18 10 18 10Q18 10 18 10H6Q6 10 6 10Q6 10 6 10V20Q6 20 6 20Q6 20 6 20ZM12 13Q11.175 13 10.588 13.587Q10 14.175 10 15Q10 15.825 10.588 16.413Q11.175 17 12 17Q12.825 17 13.413 16.413Q14 15.825 14 15Q14 14.175 13.413 13.587Q12.825 13 12 13ZM6 10Q6 10 6 10Q6 10 6 10V20Q6 20 6 20Q6 20 6 20Q6 20 6 20Q6 20 6 20V10Q6 10 6 10Q6 10 6 10Z"
            *ngIf="!firebaseService.update" />
    </svg>
</div>
<div class="pt-20">
    <div class="mx-auto px-4 sm:px-6 lg:px-8">
        <div class="mt-6 grid grid-cols-1 sm:grid-cols-1 lg:grid-cols-2 xl:grid-cols-3">
            <div *ngFor="let event of firebaseService.allEventsSorted">
                <div class="group relative bg-slate-400 dark:bg-slate-300 m-4 p-4 rounded-2xl">
                    <div class="mb-4 flex justify-center">
                        <h2 class="text-2xl font-bold text-white dark:text-gray-700 truncate text-center">{{ event.title }}</h2>
                    </div>
                    <div class="bg-slate-400 dark:bg-slate-300 rounded-2xl overflow-hidden" *ngIf="event.image">
                        <img [src]="event.image" alt="immagine evento"
                            class="w-full h-full lg:w-full lg:h-full rounded-2xl">
                    </div>
                    <div class="mt-4 flex justify-between">
                        <div>
                            <div class="flex justify-start items-center pt-4 h-20">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-10 h-10 p-2" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path
                                            d="M8 18H16V16H8ZM8 14H16V12H8ZM6 22Q5.175 22 4.588 21.413Q4 20.825 4 20V4Q4 3.175 4.588 2.587Q5.175 2 6 2H14L20 8V20Q20 20.825 19.413 21.413Q18.825 22 18 22ZM13 9V4H6Q6 4 6 4Q6 4 6 4V20Q6 20 6 20Q6 20 6 20H18Q18 20 18 20Q18 20 18 20V9ZM6 4V9V4V9V20Q6 20 6 20Q6 20 6 20Q6 20 6 20Q6 20 6 20V4Q6 4 6 4Q6 4 6 4Z" />
                                    </svg>
                                </div>
                                <h2 class="text-sm text-white dark:text-gray-700 ml-4">{{ event.description }}</h2>
                            </div>
                            <div class="flex justify-start items-center pt-4">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path
                                            d="M12.5 8H11v6l4.75 2.85.75-1.23-4-2.37zm4.837-6.19l4.607 3.845-1.28 1.535-4.61-3.843zm-10.674 0l1.282 1.536L3.337 7.19l-1.28-1.536zM12 4c-4.97 0-9 4.03-9 9s4.03 9 9 9 9-4.03 9-9-4.03-9-9-9zm0 16c-3.86 0-7-3.14-7-7s3.14-7 7-7 7 3.14 7 7-3.14 7-7 7z" />
                                    </svg>
                                </div>
                                <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ unixToDate(event.dateExpiration )}}</p>
                            </div>
                            <div class="flex justify-start items-center pt-4">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path
                                            d="M12 6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2m0 10c2.7 0 5.8 1.29 6 2H6c.23-.72 3.31-2 6-2m0-12C9.79 4 8 5.79 8 8s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm0 10c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z" />
                                    </svg>
                                </div>
                                <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ event.follower.length }}
                                    iscritt{{event.follower.length == 1 ? 'o' : 'i'}}</p>
                            </div>
                            <div class="flex justify-start items-center pt-4">
                                <img [src]="event.ownerPhoto" *ngIf="event.ownerPhoto" alt=""
                                    class="w-10 h-10 rounded-lg bg-white">
                                <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ event.ownerName }}</p>
                            </div>
                        </div>

                    </div>
                    <div class="flex items-center mt-4">
                        <span class="p-2 rounded-lg cursor-pointer flex justify-center items-center"
                            (click)="onPartecipaSelected(event)" *ngIf="isPartecipante(event); else nonPartecipante" [ngClass]="eventCreationError == event.dateCreation ? 'bg-red-300' : 'bg-blue-200 hover:bg-blue-300'">
                            <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px"
                                fill="#000000">
                                <path
                                    d="M5 21V5Q5 4.175 5.588 3.587Q6.175 3 7 3H17Q17.825 3 18.413 3.587Q19 4.175 19 5V21L12 18Z"
                                    *ngIf="eventCreationError == event.dateCreation ? isValid : true" />
                                <path
                                    d="M6.4 19 5 17.6 10.6 12 5 6.4 6.4 5 12 10.6 17.6 5 19 6.4 13.4 12 19 17.6 17.6 19 12 13.4Z"
                                    *ngIf="eventCreationError == event.dateCreation ? !isValid : true" />
                            </svg>
                            <div class="flex ml-2 text-base font-medium justify-center items-center text-center">
                                {{ eventCreationError == event.dateCreation ? messageError : "Salvato" }}
                            </div>
                        </span>
                        <ng-template #nonPartecipante>
                            <span
                                class="p-2 rounded-lg cursor-pointer flex justify-center items-center transition-colors"
                                (click)="onPartecipaSelected(event)" [ngClass]="eventCreationError == event.dateCreation ? 'bg-red-300' : 'bg-white hover:bg-green-300'">
                                <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px"
                                    fill="#000000">
                                    <path d="M0 0h24v24H0V0z" fill="none"
                                        *ngIf="eventCreationError == event.dateCreation ? isValid : true" />
                                    <path
                                        d="M17 3H7c-1.1 0-2 .9-2 2v16l7-3 7 3V5c0-1.1-.9-2-2-2zm0 15l-5-2.18L7 18V5h10v13z"
                                        *ngIf="eventCreationError == event.dateCreation ? isValid : true" />
                                    <path
                                        d="M6.4 19 5 17.6 10.6 12 5 6.4 6.4 5 12 10.6 17.6 5 19 6.4 13.4 12 19 17.6 17.6 19 12 13.4Z"
                                        *ngIf="eventCreationError == event.dateCreation ? !isValid : false" />
                                </svg>
                                <div class="flex ml-2 text-base font-medium justify-center items-center text-center" [ngClass]="eventCreationError == event.dateCreation ? '' : ''">
                                    {{ eventCreationError == event.dateCreation ? messageError : "Partecipa" }}
                                </div>
                            </span>
                        </ng-template>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>